package com.evermind.ejb;

import java.rmi.RemoteException;
import javax.ejb.*;

public interface NewsItem extends EJBObject
{
	public int getId() throws RemoteException;

	public String getSubject() throws RemoteException;

	public void setSubject(String value) throws RemoteException;

	public String getText() throws RemoteException;

	public void setText(String value) throws RemoteException;

	public java.util.Date getDate() throws RemoteException;

	public void setDate(java.util.Date value) throws RemoteException;

	public java.util.Locale getLocale() throws RemoteException;

	public String getSubmitter() throws RemoteException;
	
	public NewsItem getParent() throws RemoteException;

	public void setLocale(java.util.Locale value) throws RemoteException;
	
	public NewsView getView() throws RemoteException;
}
